#!/usr/bin/env kjscmd

// Example that embeds a read-write kpart

// Get URL to load
var url = 'http://www.kde.org/';
if ( application.args.length )
   url = application.args[0];

// Create the UI
var mw = new TDEMainWindow();
var box = new TQHBox( mw );
mw.setCentralWidget(box);

// Create the view
var view = Factory.createRWPart( "text/plain", box, "view" );

// Open the file
view.openURL( url );

// Show the GUI
mw.resize(650,500);
mw.show();

application.exec();
